TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.ConsumerInfo Class Reference

A ConsumerInfo object represents a message consumer. Admin.GetConsumers() More...

## Classes
class | Details
| Provides additional information about consumer. More...

## Public Member Functions
long | GetPendingMessageCount ()
| Returns number of pending messages for a topic consumer. Notice that only topic consumers have pending messages. For queue consumers the number of pending messages in the corresponding queue must be obtained via the queue itself. More...
long | GetPendingMessageSize ()
| Returns combined size of pending messages for a topic consumer. More...
String | GetSelector ()
| Returns consumer's selector or `null`. Notice that `ConsumerInfo` may or may not have the consumer's selector information depending on the way it was obtained, however method HasSelector can be called in all cases to determine if consumer has a selector. Method Admin.GetConsumer always includes the selector text, if present, into returned consumer object. Methods returning multiple consumers include or do not include selector text depending on the flag. See Admin.GET_SELECTOR. More...
bool | HasSelector ()
| Returns `true` if this consumer has selector. Notice the selector itself may or may not be contained in the consumer object, depending on the way consumer information was obtained. However this method can be used in all cases to determine if a consumer has selector. Method Admin.GetConsumer always includes the selector text, if present, into returned consumer object. Methods returning multiple consumers include or do not include selector text depending on the flag Admin.GET_SELECTOR. More...
bool | isNolocal ()
| Returns `true` if this is a nolocal topic consumer. More...
bool | isMulticast ()
| Returns `true` if this is a multicast topic consumer. More...
Details | GetDetails ()
| Returns additional details about this consumer or `null`. This method returns `null` if this object has been obtained via the Admin.GetConsumersStatistics method. If this consumer was obtained via methods Admin.GetConsumers() or Admin.GetConsumer, this method returns non-`null` value containing detailed information about consumer. More...
bool | isConnected ()
| Returns `true` if this consumer is connected to the server. Only durable topic subscribers may be in disconnected state. This method always returns `true` for queue receivers and non-durable topic consumers. More...
bool | isConnectionConsumer ()
| Returns `true` if this is connection consumer. Notice that for disconnected durable topic subscribers this method returns `false` even if the durable has been originally created as connection consumer. More...
bool | isShared ()
| Returns `true` if this is a shared topic consumer. The shared subscription name is SharedSubscriptionName More...
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
long | ID`[get]`
| Returns consumer ID. All consumers have a unique ID More...
long | SessionID`[get]`
| Returns consumer's session ID or 0. If this is a durable topic subscriber which is currently not connected, this method returns 0, which is never a valid session ID More...
long | ConnectionID`[get]`
| Return the consumer's connection ID or 0. If this is a durable topic subscriber which is currently not connected, this method returns 0, which is never a valid connection ID. More...
long | CreateTime`[get]`
| Returns consumer's creation time in milliseconds. More...
string | Username`[get]`
| Returns consumer's user name or `null`. This method returns `null` for disconnected durable subscribers. More...
string | DurableName`[get]`
| Returns the name of the consumer's durable subscription or `null` Only durable topic consumers have durable name. This method returns `null` for non-durable topic subscribers and queue receivers. More...
DestinationType | DestinationType`[get]`
| Returns consumer's destination type. Returned value is either DestinationType.Queue or DestinationType.Topic. See TIBCO.EMS.ADMIN.DestinationType. More...
string | DestinationName`[get]`
| Returns consumer's destination name. More...
StatData | Statistics`[get]`
| Returns consumer's total statistics. More...
DetailedDestStat[] | DetailedStatistics`[get]`
| Returns consumer's detailed statistics. More...
string | SharedSubscriptionName`[get]`
| Returns the name of the shared subscription. For shared durable consumers, this is equivalent to the durable name. More...

## Detailed Description

A ConsumerInfo object represents a message consumer. Admin.GetConsumers()

## Member Function Documentation

Details TIBCO.EMS.ADMIN.ConsumerInfo.GetDetails | ( |  | ) |
| inline

Returns additional details about this consumer or `null`. This method returns `null` if this object has been obtained via the Admin.GetConsumersStatistics method. If this consumer was obtained via methods Admin.GetConsumers() or Admin.GetConsumer, this method returns non-`null` value containing detailed information about consumer.

Returns
  detailed information object or `null`

long TIBCO.EMS.ADMIN.ConsumerInfo.GetPendingMessageCount | ( |  | ) |
| inline

Returns number of pending messages for a topic consumer. Notice that only topic consumers have pending messages. For queue consumers the number of pending messages in the corresponding queue must be obtained via the queue itself.

Returns
  number of pending messages, possibly 0. Always returns 0 if this is a queue consumer.

See GetPendingMessageSize and Details.GetCurrentMsgCountSentByServer.

long TIBCO.EMS.ADMIN.ConsumerInfo.GetPendingMessageSize | ( |  | ) |
| inline

Returns combined size of pending messages for a topic consumer.

Returns
  cumulative size of pending messages, possibly 0. Always returns 0 if this is a queue consumer.

See GetPendingMessageCount and Details.GetCurrentMsgSizeSentByServer.

String TIBCO.EMS.ADMIN.ConsumerInfo.GetSelector | ( |  | ) |
| inline

Returns consumer's selector or `null`. Notice that `ConsumerInfo` may or may not have the consumer's selector information depending on the way it was obtained, however method HasSelector can be called in all cases to determine if consumer has a selector. Method Admin.GetConsumer always includes the selector text, if present, into returned consumer object. Methods returning multiple consumers include or do not include selector text depending on the flag. See Admin.GET_SELECTOR.

Returns
  consumer's selector or `null` if this consumer has no selector.

See Admin.GET_SELECTOR.

bool TIBCO.EMS.ADMIN.ConsumerInfo.HasSelector | ( |  | ) |
| inline

Returns `true` if this consumer has selector. Notice the selector itself may or may not be contained in the consumer object, depending on the way consumer information was obtained. However this method can be used in all cases to determine if a consumer has selector. Method Admin.GetConsumer always includes the selector text, if present, into returned consumer object. Methods returning multiple consumers include or do not include selector text depending on the flag Admin.GET_SELECTOR.

Returns
  `true` if this consumer has selector, `false` otherwise.

See GetSelector and Admin.GET_SELECTOR

bool TIBCO.EMS.ADMIN.ConsumerInfo.isConnected | ( |  | ) |
| inline

Returns `true` if this consumer is connected to the server. Only durable topic subscribers may be in disconnected state. This method always returns `true` for queue receivers and non-durable topic consumers.

Returns
  `true` if this consumer connected to server, `false` otherwise.

bool TIBCO.EMS.ADMIN.ConsumerInfo.isConnectionConsumer | ( |  | ) |
| inline

Returns `true` if this is connection consumer. Notice that for disconnected durable topic subscribers this method returns `false` even if the durable has been originally created as connection consumer.

Returns
  `true` if this is a connection consumer, `false` otherwise.

bool TIBCO.EMS.ADMIN.ConsumerInfo.isMulticast | ( |  | ) |
| inline

Returns `true` if this is a multicast topic consumer.

Returns
  `true` if this is a multicast topic consumer. Always returns `false` if this is a queue consumer.

Deprecated:
  As of release 8.3

bool TIBCO.EMS.ADMIN.ConsumerInfo.isNolocal | ( |  | ) |
| inline

Returns `true` if this is a nolocal topic consumer.

Returns
  `true` if this is a nolocal topic consumer. Always returns `false` if this is a queue consumer.

bool TIBCO.EMS.ADMIN.ConsumerInfo.isShared | ( |  | ) |
| inline

Returns `true` if this is a shared topic consumer. The shared subscription name is SharedSubscriptionName

Returns
  `true` if this topic consumer is on a shared subscription. Always returns `false` for queue consumers.

override string TIBCO.EMS.ADMIN.ConsumerInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

long TIBCO.EMS.ADMIN.ConsumerInfo.ConnectionID
| get

Return the consumer's connection ID or 0. If this is a durable topic subscriber which is currently not connected, this method returns 0, which is never a valid connection ID.

Returns
  consumer's connection ID or 0 if this is a disconnected durable topic subscriber.

long TIBCO.EMS.ADMIN.ConsumerInfo.CreateTime
| get

Returns consumer's creation time in milliseconds.

Returns
  consumer's creation time in milliseconds.

string TIBCO.EMS.ADMIN.ConsumerInfo.DestinationName
| get

Returns consumer's destination name.

Returns
  consumer's destination name.

DestinationType TIBCO.EMS.ADMIN.ConsumerInfo.DestinationType
| get

Returns consumer's destination type. Returned value is either DestinationType.Queue or DestinationType.Topic. See TIBCO.EMS.ADMIN.DestinationType.

Returns
  consumer's destination type.

DetailedDestStat [] TIBCO.EMS.ADMIN.ConsumerInfo.DetailedStatistics
| get

Returns consumer's detailed statistics.

This method may return `null` designating that no detailed statistics are available for this consumer. This can happen for any of the following reasons:

- if consumer is not a wildcarded consumer;
- if detailed statistics are disabled in the server;
- if detailed statistics was not included into this consumer information object by the method of Admin class used to obtain this object..

Returns
  consumer's detailed statistics or `null` if detailed statistics are not available.

string TIBCO.EMS.ADMIN.ConsumerInfo.DurableName
| get

Returns the name of the consumer's durable subscription or `null` Only durable topic consumers have durable name. This method returns `null` for non-durable topic subscribers and queue receivers.

Returns
  consumer's durable name or `null` if the consumer is not a durable topic consumer.

long TIBCO.EMS.ADMIN.ConsumerInfo.ID
| get

Returns consumer ID. All consumers have a unique ID

Returns
  consumer ID.

long TIBCO.EMS.ADMIN.ConsumerInfo.SessionID
| get

Returns consumer's session ID or 0. If this is a durable topic subscriber which is currently not connected, this method returns 0, which is never a valid session ID

Returns
  consumer's session ID or 0.

string TIBCO.EMS.ADMIN.ConsumerInfo.SharedSubscriptionName
| get

Returns the name of the shared subscription. For shared durable consumers, this is equivalent to the durable name.

Returns
  the name of the shared subscription, or `null` if the consumer is not a shared consumer or is a queue consumer.

Since EMS 8.0

StatData TIBCO.EMS.ADMIN.ConsumerInfo.Statistics
| get

Returns consumer's total statistics.

Returns
  consumer's total statistics.

string TIBCO.EMS.ADMIN.ConsumerInfo.Username
| get

Returns consumer's user name or `null`. This method returns `null` for disconnected durable subscribers.

Returns
  consumer's user name or `null`.